Package org.eclipse.emf.cdo.common.revision

## Class CDORevisionUtil.CDORevisionComparator

- java.lang.Object
- - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.CDORevisionComparator

- All Implemented Interfaces:
    `java.util.Comparator<CDORevisionKey>`
  Enclosing class:
    CDORevisionUtil

      public static class CDORevisionUtil.CDORevisionComparator
      extends java.lang.Object
      implements java.util.Comparator<CDORevisionKey>

  Compares `revision keys` by `ID` and `version`.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDORevisionComparator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compare​(CDORevisionKey rev1, CDORevisionKey rev2)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### CDORevisionComparator

          public CDORevisionComparator()

  - ### Method Detail

    - #### compare

          public int compare​(CDORevisionKey rev1,
                             CDORevisionKey rev2)

      Specified by:
        `compare` in interface `java.util.Comparator<CDORevisionKey>`